# -*- coding: utf-8 -*-

# Define your item pipelines here
#
# Don't forget to add your pipeline to the ITEM_PIPELINES setting
# See: http://doc.scrapy.org/en/latest/topics/item-pipeline.html
import urllib
from pymongo import MongoClient
import os, string

class CrawlerPipeline(object):

	def __init__(self):
		self.client = MongoClient()
		self.db = self.client['ImgSystem']
		self.allowed_domains = "www.cs.tsinghua.edu.cn"
	
	def process_item(self, item, spider):
		col = self.db[self.allowed_domains]
		post = {'url':item['url'], 'imgList':item['imgList']}
		_id = col.insert(post)
		newpath = os.path.join('/users/billy_inn/Coding/ImageSystem/Images',str(_id))
		if not os.path.isdir(newpath):
			os.makedirs(newpath)
		n = len(item['imgList'])
		for i in range(n):
			data = urllib.urlopen(item['imgList'][i]).read()
			f = open(newpath+'/%d.%s' % (i,item['imgList'][i][-3:]),"wb")
			f.write(data)
			f.close()
		return item
